﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win;
using Infragistics.Win.UltraWinEditors;

namespace CustomTextEditorDemo
{
    public partial class CustomTextEditor : UltraTextEditor
    {
        
        public CustomTextEditor()
        {
            InitializeComponent();
        }

        public bool AllowDesignTimeText { get; set; }

        public override string Text
        {
            get { return base.Text; }

            set
            {
                if (!this.DesignMode || this.AllowDesignTimeText)
                {
                    base.Text = value;
                }
            }
        }
    }
}
